
@font-face {
    font-family: "HYA3GJ";
    src: url("/static/fonts/HYA3GJ.woff2");
}

body {
    height: 100vh !important;
    display: flex;
    flex-direction: column;
    font-family: "CorpoS", "HYA3GJ";
    position: relative;
}


.logo {
    height: 10%;
    /* flex: 1; */
    width: 100%;
    background-color: #020104;
    padding: 1%;
    text-align: center;
}

.logo img {
    max-height: 100%;
    object-fit: contain
}

.center {
    flex: 9;
    width: 100%;
    background-image: url(/static/UserSys/custom/ddi_Evaluation/login/NewLogin.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    /* padding-top: 10vh;
    padding-left: 10vw; */
    position: relative;
}
.visibilityHidden{
    visibility: hidden;
    float: left;
}
.loginDom,.recoverPasswordDom {
    /* width: 35rem; */
    /* height: calc(100% - 8rem); */
    transform-origin: 0 0;
    position: absolute;
    top: 20%;
    right: 5rem;
}

.title {
    color: #fff;
    font-size: 2.5rem;
    text-align: center;
    letter-spacing: 0.15rem;
}

.loginDom .userAndPass {
    margin-top: 3rem;
}

.userAndPass input {
    height: 4rem;
    background-color: rgba(46, 61, 75);
    border: 2px solid #fff;
    color: #fff;
    margin-bottom: 2rem;
    border-radius: 34px;
    padding-left: 3rem;
}

.userAndPass input:focus {
    background-color: rgba(46, 61, 75);
    color: #fff;
}

.agree {
    color: #fff;
    display: flex;
    justify-content: space-between;
}

.agreePrivacy {
    display: flex;
    padding-left: 1rem;
}

.agreePrivacy input {
    background-color: rgba(41, 56, 71);
}

.fogetPw {
    text-align: right;
    cursor: pointer;
    color: rgb(228, 229, 231);
}

.backLogin {
    text-align: right;
    cursor: pointer;
    color: rgb(228, 229, 231);
}

.getCode {
    background-color: rgba(45, 59, 75) !important;
    color: #fff;
    border-radius: 32px;
    border: none;
    width: 12rem;
    margin-bottom: 2rem;
    margin-top: 0.5vh;
    margin-left: 2rem;
}

.submit,
.recover-update {
    margin-top: 2rem;
    color: #fff;
    width: 100%;
    height: 4rem;
    border: none;
    background-color: rgba(45, 59, 75) !important;
    border-radius: 32px;
    font-size: 1.5rem;
}

.mobilePhone{
    color: #fff;
    position: absolute;
    transform-origin: left bottom;
    /* width: 30rem; */
    text-align: center;
    bottom: 3%;
    right: 5rem;
    background-color: #001a2744;
}
.iconDom {
    position: relative;
}

.codeDom {
    display: flex;
}

.iconPar {
    height: 4rem;
    width: 4rem;
    position: absolute;
    left: -4px;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background: rgba(46, 61, 75);
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%; */
    /* border: 2px solid #fff; */
    border-right: 0;
}

.icon {
    width: 2rem;
    height: 2rem;
    fill: currentColor;
}

.icon .iphone,
.icon .code {
    color: #fff;
}

.conceal {
    letter-spacing: 0.1rem;
    font-weight: 700;
    color: #fff;
    border-bottom: 1px solid #fff;
    /* text-decoration: underline; */
}

.conceal:hover {
    color: #ccc;
}

#ReadingConsent {
    margin-right: .5rem;
}

.onArgee {
    color: rgb(208, 211, 215);
    margin-right: .5rem;
}

/* input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-transition-delay: 111111s;
    -webkit-transition: color 11111s ease-out, background-color 111111s ease-out;
} */
input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
    background-color: transparent !important;
    background-image: none;
    transition: background-color 50000s ease-in-out 0s;
    -webkit-text-fill-color: #fff !important;
}

body.swal2-height-auto {
    height: 100vh !important;
}

/* @media (-webkit-min-device-pixel-ratio: 1.1){
    html{
        font-size: 11px !important;
    }
}
@media (-webkit-min-device-pixel-ratio: 1.25){
    html{
        font-size: 10px !important;
    }
}

@media  screen and (max-height: 588px) and (-webkit-min-device-pixel-ratio: 1.5){
    html{
        font-size: 9px !important;
    }
    .title{
        font-size: 2.25rem;
    }
}
@media  screen and (width=2880px) and (-webkit-min-device-pixel-ratio: 1.5){
    html{
        font-size: 18px !important;
    }
    .title{
        font-size: 2.25rem;
    }
}
@media  screen and (width=2880px) and (-webkit-min-device-pixel-ratio: 1.75){
    html{
        font-size: 15px !important;
    }
    .title{
        font-size: 2.25rem;
    }
}
@media  screen and (width=2880px) and (-webkit-min-device-pixel-ratio: 2){
    html{
        font-size: 12px !important;
    }
    .title{
        font-size: 2.25rem;
    }
}

@media screen and (max-height: 588px) and (-webkit-max-device-pixel-ratio: 1.5){
    .center{
        padding-top: 3vh;
    }
    .loginDom, .recoverPasswordDom {
        height: calc(100% - 3rem);
    }
    .title{
        font-size: 2rem;
    }
}
@media screen and (min-width: 1921px){
    html{
        font-size: 18px !important;
    }
} */

@media screen and (min-device-width: 1920px) and (-webkit-min-device-pixel-ratio: 2) {
    html,body{
        font-size: 26px !important;
    }
}


/* 手机版 */
@media screen and (max-width: 768px) {
    /* .loginDom, .recoverPasswordDom {
        width: 100%;
        height: 100%;
        padding: 0;
    } */
    .center{
        padding-top: 0;
    }
    .title{
        font-size: 2rem;
    }
    .userAndPass input{
        border-width: 1px!important;
    }
    .getCode{
        width: 20rem!important;
    }
    .iconDom{
        margin-left: 1rem;
    }
    .codeDom{
        margin-top: 1rem;
    }
    .getCode{
        margin-left: 0;
    }
    .submit{
        margin-top: 1rem;
    }
    .backLogin{
        margin-top: 1rem;
    }
    .fogetPw{
        margin-top: 1rem;
    }
    .agree{
        margin-top: 1rem;
    }
}